<?php 

if (isset($_POST['sms2ru'])) 
{
  $set_paytype = $payment->getSettings('sms2ru');
  
  $getURL = 'http://partner.sms2ru.ru/initMConline/?code=' . $set_paytype['PAYMENT']['PREFFIX'] . 
  '&sparse_id=123asd&amount=' . $_POST['wmr'] . 
  '&phone=' . $_POST['phone'];
  
	$getSEND = file_get_contents($getURL);
  
	$getRESP = json_decode($getSEND, true);
  
  print_r($getRESP); 
}